@charset "utf-8";

.mv {
  margin-top: 48px;
  @media screen and (max-width: 600px) {
    margin-top: 28px;
  }
}

.mv-slide_item {
  margin-inline: 10px;
  img {
    width: 100%;
    height: auto;
    aspect-ratio: 953 / 630;
    object-fit: cover;
  }
}

.about {
  margin-top: 100px;
  @media screen and (max-width: 600px) {
    margin-top: 60px;
  }
  .about-contents {
    position: relative;
    z-index: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

    @media screen and (max-width: 900px) {
      margin-bottom: 60px;
    }
  }

  .about-heading {
    max-width: 294px;
    width: 100%;
    margin-inline: auto;
    margin-bottom: 0;

    @media screen and (max-width: 800px) {
      max-width: 100%;
      img {
        width: 240px;
      }
    }
    @media screen and (max-width: 600px) {
      img {
        width: 200px;
      }
    }

    .title {
      font-size: 16px;
      font-weight: 500;
      font-family: var(--font-family-eg);
    }
  }
  .about-catchcopy {
    font-size: 2.4rem;
    font-weight: 500;
    margin-bottom: 40px;
    letter-spacing: 0.2em;

    @media screen and (max-width: 800px) {
      margin-bottom: 30px;
    }
    @media screen and (max-width: 600px) {
      text-align: left;
      font-size: 2.2rem;
    }
  }

  p {
    font-size: 20px;
    line-height: 1.8;
    margin-bottom: 0;

    @media screen and (max-width: 800px) {
      font-size: 18px;
    }
    @media screen and (max-width: 600px) {
      text-align: left;
    }
  }
}

.future {
  margin-top: 120px;

  @media screen and (max-width: 600px) {
    margin-top: 70px;
  }

  a {
    color: var(--color-text);

    &:hover {
      text-decoration: none;
    }
  }

  .future-list {
    display: flex;
    justify-content: center;
    gap: 33px;

    @media screen and (max-width: 800px) {
      max-width: 500px;
      margin-inline: auto;
      flex-wrap: wrap;
    }

    &:has(> :nth-child(-n + 3):last-child)&:not(:has(> .not-future-items)) {
      align-items: flex-end;
      @media screen and (max-width: 800px) {
        justify-content: flex-start;
        position: relative;
      }
    }
    .not-future-items {
      position: relative;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;

      @media screen and (max-width: 800px) {
        position: relative;
        display: block;
        padding-bottom: 100px;
      }
      .not-text {
        text-align: center;
        font-weight: bold;
        color: var(--color-primary);
        letter-spacing: 0.1em;
        font-size: 3.6rem;
      }
    }
  }
  .future-list_item {
    width: calc((100% - (33px * 3)) / 4);

    @media screen and (max-width: 800px) {
      width: calc((100% - 33px) / 2);
    }
    .image {
      display: block;
      margin-bottom: 20px;

      @media screen and (max-width: 800px) {
        margin-bottom: 10px;
      }
    }
    .future-title {
      font-size: 16px;
      font-weight: 500;
      letter-spacing: 0.1em;
      line-height: 1.6;
    }
  }
}

.information {
  margin-top: 98px;
  background: rgba(217, 217, 217, 0.33);
  padding: 60px 0;

  @media screen and (max-width: 600px) {
    margin-top: 70px;
  }

  .page-title {
    margin-bottom: 55px;
  }

  .information-list {
    background-color: #fff;
    padding: 60px 20px;
    position: relative;
    margin-bottom: 54px;
    display: flex;
    flex-direction: column;
    row-gap: 37px;

    @media screen and (max-width: 600px) {
      padding: 40px 20px;
      row-gap: 20px;
    }

    li {
      max-width: 872px;
      width: 100%;
      margin-inline: auto;
      border-bottom: 2px dotted #e1dcd7;
      padding-bottom: 20px;
      display: flex;
      column-gap: 54px;

      @media screen and (max-width: 600px) {
        flex-direction: column;
        padding-bottom: 15px;
      }

      time,
      a {
        display: block;
        font-size: 15px;
        letter-spacing: 0.1em;
        color: var(--color-text);
        &:hover {
          color: var(--color-secondary);
          opacity: 1;
        }
      }
      time {
        font-family: var(--font-family-eg);
        width: 11%;

        @media screen and (max-width: 600px) {
          width: 100%;
        }
      }
      a {
        flex: 1;
      }
    }
  }
}

.product-list {
  display: flex;
  justify-content: center;
  gap: 32px;

  @media screen and (max-width: 800px) {
    justify-content: flex-start;
    flex-wrap: wrap;
    max-width: 500px;
    margin-inline: auto;
  }

  .product-list_item {
    width: calc((100% - (32px * 3)) / 4);

    @media screen and (max-width: 800px) {
      width: calc((100% - 32px) / 2);
    }
  }

  a {
    color: var(--color-text);
    display: block;
    position: relative;
  }

  .image {
    display: block;
    object-fit: cover;
    width: 100%;
    height: 100%;
    aspect-ratio: 286 / 276;
  }
  .item-desc {
    margin-top: 20px;
    time {
      font-size: 14px;
      color: #c9c9c9;
      letter-spacing: 0.1em;
      font-family: var(--font-family-eg);
      margin-bottom: 8px;
      display: block;
    }
    .item-name {
      font-size: 16px;
      letter-spacing: 0.1em;
      font-weight: 400;
      line-height: 1.4;
    }
    .item-price {
      margin-top: 10px;
      font-size: 15px;
    }
  }
}

.newarrival {
  background-color: #fff;
  margin-top: 98px;

  @media screen and (max-width: 600px) {
    margin-top: 70px;
  }

  .page-contents {
    position: relative;
  }

  .link-btn {
    margin-top: 70px;
  }
}

.pickup {
  margin-top: 98px;
  background: rgba(217, 217, 217, 0.33);
  background-size: auto;
  padding: 80px 0;

  @media screen and (max-width: 600px) {
    margin-top: 70px;
    padding: 60px 0;
  }

  .page-contents {
    position: relative;
  }
}

.link-all {
  margin-top: 70px;

  @media screen and (max-width: 600px) {
    margin-top: 50px;
  }
}
